## lomiri-indicator-location 25.2.7

=== CMakeLists.txt ===
project (lomiri-indicator-location)
cmake_minimum_required (VERSION 2.8.9)

list (APPEND CMAKE_MODULE_PATH ${CMAKE_SOURCE_DIR}/cmake)

##
##  GNU standard paths
##
include (GNUInstallDirs)

set (PROJECT_VERSION "16.10.0")
set (PACKAGE ${CMAKE_PROJECT_NAME})
set (GETTEXT_PACKAGE lomiri-indicator-location)
add_definitions (
    -DGETTEXT_PACKAGE="${GETTEXT_PACKAGE}"
    -DGNOMELOCALEDIR="${CMAKE_INSTALL_FULL_LOCALEDIR}"
)

set (SERVICE_LIB ${PACKAGE})
set (SERVICE_EXEC "${PACKAGE}-service")

option (enable_tests "Build the package's automatic tests." ON)
option (enable_lcov "Generate lcov code coverage reports." ON)

set (CMAKE_CXX_STANDARD 14)


if (EXISTS "/etc/debian_version") # Workaround for libexecdir on debian
  set (CMAKE_INSTALL_LIBEXECDIR "${CMAKE_INSTALL_LIBDIR}")
  set (CMAKE_INSTALL_FULL_LIBEXECDIR "${CMAKE_INSTALL_FULL_LIBDIR}")
endif ()
set (CMAKE_INSTALL_PKGLIBEXECDIR "${CMAKE_INSTALL_LIBEXECDIR}/${CMAKE_PROJECT_NAME}")
set (CMAKE_INSTALL_FULL_PKGLIBEXECDIR "${CMAKE_INSTALL_FULL_LIBEXECDIR}/${CMAKE_PROJECT_NAME}")

##
##  Check for prerequisites
##

find_package (PkgConfig REQUIRED)

include (FindPkgConfig)
pkg_check_modules (SERVICE_DEPS REQUIRED
                   lomiri-app-launch-0
                   lomiri-url-dispatcher
                   gio-unix-2.0>=2.36
                   glib-2.0>=2.36
                   properties-cpp>=0.0.1)
include_directories (SYSTEM ${SERVICE_DEPS_INCLUDE_DIRS})

set (CMAKE_INCLUDE_CURRENT_DIR ON)
set (CC_WARNING_ARGS " -Wall -Wextra -Wno-missing-field-initializers")

# testing & coverage
if (${enable_tests})
  set (GTEST_SOURCE_DIR /usr/src/gtest/src)
  set (GTEST_INCLUDE_DIR ${GTEST_SOURCE_DIR}/..)
  set (GTEST_LIBS -lpthread)
  enable_testing ()
  if (${enable_lcov})
    include(GCov)
  endif ()
endif ()

add_subdirectory (src)
add_subdirectory (data)
add_subdirectory (po)

if (${enable_tests})
  add_subdirectory (tests)
endif ()

=== data/CMakeLists.txt ===
##
##  XDG Autostart File
##

# where to install
set (XDG_AUTOSTART_DIR "/etc/xdg/autostart")
message (STATUS "${XDG_AUTOSTART_DIR} is the XDG Autostart install dir")

set (XDG_AUTOSTART_NAME "${CMAKE_PROJECT_NAME}.desktop")
set (XDG_AUTOSTART_FILE "${CMAKE_CURRENT_BINARY_DIR}/${XDG_AUTOSTART_NAME}")
set (XDG_AUTOSTART_FILE_IN "${CMAKE_CURRENT_SOURCE_DIR}/${XDG_AUTOSTART_NAME}.in")

# build it
set (pkglibexecdir "${CMAKE_INSTALL_FULL_PKGLIBEXECDIR}")
configure_file ("${XDG_AUTOSTART_FILE_IN}" "${XDG_AUTOSTART_FILE}")

# install it
install (FILES "${XDG_AUTOSTART_FILE}"
         DESTINATION "${XDG_AUTOSTART_DIR}")

##
##  Systemd Unit File
##

# where to install
# Uncomment when we drop Vivid
# pkg_get_variable(SYSTEMD_USER_DIR systemd systemduserunitdir)
set (SYSTEMD_USER_DIR "/usr/lib/systemd/user")
message (STATUS "${SYSTEMD_USER_DIR} is the systemd user unit file install dir")

set (SYSTEMD_USER_NAME "${CMAKE_PROJECT_NAME}.service")
set (SYSTEMD_USER_FILE "${CMAKE_CURRENT_BINARY_DIR}/${SYSTEMD_USER_NAME}")
set (SYSTEMD_USER_FILE_IN "${CMAKE_CURRENT_SOURCE_DIR}/${SYSTEMD_USER_NAME}.in")

# build it
set (pkglibexecdir "${CMAKE_INSTALL_FULL_PKGLIBEXECDIR}")
configure_file ("${SYSTEMD_USER_FILE_IN}" "${SYSTEMD_USER_FILE}")

# install it
install (FILES "${SYSTEMD_USER_FILE}"
         DESTINATION "${SYSTEMD_USER_DIR}")

##
##  Unity Indicator File
##

# where to install
set (UNITY_INDICATOR_DIR "${CMAKE_INSTALL_FULL_DATAROOTDIR}/unity/indicators")
message (STATUS "${UNITY_INDICATOR_DIR} is the Unity Indicator install dir")

set (UNITY_INDICATOR_NAME "com.lomiri.indicator.location")
set (UNITY_INDICATOR_FILE "${CMAKE_CURRENT_SOURCE_DIR}/${UNITY_INDICATOR_NAME}")

install (FILES "${UNITY_INDICATOR_FILE}"
         DESTINATION "${UNITY_INDICATOR_DIR}")

=== tests/CMakeLists.txt ===

###
###  Google Test Framework
###

add_library (gtest STATIC
             ${GTEST_SOURCE_DIR}/gtest-all.cc
             ${GTEST_SOURCE_DIR}/gtest_main.cc)
set_target_properties (gtest PROPERTIES INCLUDE_DIRECTORIES ${INCLUDE_DIRECTORIES} ${GTEST_INCLUDE_DIR})
set_target_properties (gtest PROPERTIES COMPILE_FLAGS ${COMPILE_FLAGS} -w)

###
###  General setup
###

include_directories (${CMAKE_SOURCE_DIR})
#include_directories (${CMAKE_CURRENT_BINARY_DIR})

set (CMAKE_C_FLAGS   "${CMAKE_C_FLAGS}   -g ${CC_WARNING_ARGS}")
set (CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -g ${CC_WARNING_ARGS}")

###
###  phone-test
###

set (TEST_NAME phone-test)
add_executable (${TEST_NAME} ${TEST_NAME}.cc)
add_test (${TEST_NAME} ${TEST_NAME})
add_dependencies (${TEST_NAME} ${SERVICE_LIB})
target_link_libraries (${TEST_NAME} ${SERVICE_LIB} gtest ${SERVICE_DEPS_LIBRARIES} ${GTEST_LIBS})

###
###  globals
###

#set_property (TARGET ${ALL_TESTS}
#              APPEND PROPERTY LINK_LIBRARIES libindicator-location-service gtest ${GTEST_LIBS} ${GCOV_LIBS})
#
#set_property (TARGET ${ALL_TESTS} gtest
#              APPEND PROPERTY INCLUDE_DIRECTORIES ${CMAKE_SOURCE_DIR} ${SERVICE_INCLUDE_DIRS} ${GTEST_INCLUDE_DIR})

=== debian/changelog ===
lomiri-indicator-location (25.2.7-1) unstable; urgency=medium

  * Initial release. (Closes: #1095415)

 -- Mike Gabriel <sunweaver@debian.org>  Fri, 07 Feb 2025 18:12:45 +0100

=== debian/control ===
Source: lomiri-indicator-location
Section: x11
Priority: optional
Maintainer: Debian UBports Team <team+ubports@tracker.debian.org>
Uploaders:
    Mike Gabriel <sunweaver@debian.org>,
Build-Depends: cmake,
               dbus,
               debhelper-compat (= 13),
               intltool (>= 0.35.0),
               libglib2.0-dev (>= 2.36),
               libgtest-dev,
               liblomiri-app-launch-dev,
               liblomiri-url-dispatcher-dev,
               libproperties-cpp-dev,
               pkgconf,
# for systemd unit
               systemd-dev [linux-any],
Standards-Version: 4.7.0
Rules-Requires-Root: no
Homepage: https://gitlab.com/ubports/development/core/lomiri-indicator-location
Vcs-Git: https://salsa.debian.org/ubports-team/lomiri-indicator-location.git
Vcs-Browser: https://salsa.debian.org/ubports-team/lomiri-indicator-location

Package: lomiri-indicator-location
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
Description: Indicator controlling access to physical location data
 The Lomiri Location Indicator shows whether the system is using physical
 location data and allows the user to control the permissions on its use.

## lomiri-indicator-location 25.4.22

=== CMakeLists.txt ===
--- 
+++ 
@@ -24,11 +24,6 @@
 
 set (CMAKE_CXX_STANDARD 14)
 
-
-if (EXISTS "/etc/debian_version") # Workaround for libexecdir on debian
-  set (CMAKE_INSTALL_LIBEXECDIR "${CMAKE_INSTALL_LIBDIR}")
-  set (CMAKE_INSTALL_FULL_LIBEXECDIR "${CMAKE_INSTALL_FULL_LIBDIR}")
-endif ()
 set (CMAKE_INSTALL_PKGLIBEXECDIR "${CMAKE_INSTALL_LIBEXECDIR}/${CMAKE_PROJECT_NAME}")
 set (CMAKE_INSTALL_FULL_PKGLIBEXECDIR "${CMAKE_INSTALL_FULL_LIBEXECDIR}/${CMAKE_PROJECT_NAME}")
 
@@ -52,9 +47,7 @@
 
 # testing & coverage
 if (${enable_tests})
-  set (GTEST_SOURCE_DIR /usr/src/gtest/src)
-  set (GTEST_INCLUDE_DIR ${GTEST_SOURCE_DIR}/..)
-  set (GTEST_LIBS -lpthread)
+  find_package (GTest REQUIRED)
   enable_testing ()
   if (${enable_lcov})
     include(GCov)

=== data/CMakeLists.txt ===
--- 
+++ 
@@ -45,11 +45,11 @@
 ##
 
 # where to install
-set (UNITY_INDICATOR_DIR "${CMAKE_INSTALL_FULL_DATAROOTDIR}/unity/indicators")
-message (STATUS "${UNITY_INDICATOR_DIR} is the Unity Indicator install dir")
+set (AYATANA_INDICATOR_DIR "${CMAKE_INSTALL_FULL_DATAROOTDIR}/ayatana/indicators")
+message (STATUS "${AYATANA_INDICATOR_DIR} is the Ayatana System Indicator install dir")
 
-set (UNITY_INDICATOR_NAME "com.lomiri.indicator.location")
-set (UNITY_INDICATOR_FILE "${CMAKE_CURRENT_SOURCE_DIR}/${UNITY_INDICATOR_NAME}")
+set (AYATANA_INDICATOR_NAME "com.lomiri.indicator.location")
+set (AYATANA_INDICATOR_FILE "${CMAKE_CURRENT_SOURCE_DIR}/${AYATANA_INDICATOR_NAME}")
 
-install (FILES "${UNITY_INDICATOR_FILE}"
-         DESTINATION "${UNITY_INDICATOR_DIR}")
+install (FILES "${AYATANA_INDICATOR_FILE}"
+         DESTINATION "${AYATANA_INDICATOR_DIR}")

=== debian/changelog ===
lomiri-indicator-location (25.4.22-2) unstable; urgency=medium

  * debian/patches:
    + Add 0001_Fix-desktop-profiles-and-add-greeter-support.patch. Let location
      indicator alreay appear in Lomiri Greeter (and allow enabling/disabling
      location service access before login).

 -- Mike Gabriel <sunweaver@debian.org>  Sun, 15 Jun 2025 21:31:22 +0200

lomiri-indicator-location (25.4.22-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches:
    + Drop patches 1001 and 1003. Both applied upstream.

 -- Mike Gabriel <sunweaver@debian.org>  Tue, 22 Apr 2025 10:25:02 +0200

## lomiri-indicator-location 25.10.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
 project (lomiri-indicator-location)
-cmake_minimum_required (VERSION 2.8.9)
+cmake_minimum_required (VERSION 3.10)
 
 list (APPEND CMAKE_MODULE_PATH ${CMAKE_SOURCE_DIR}/cmake)

=== src/CMakeLists.txt ===
SET (CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -g ${CXX_WARNING_ARGS} ${GCOV_FLAGS}")

#set_property (DIRECTORY
#              APPEND PROPERTY INCLUDE_DIRECTORIES ${SERVICE_INCLUDE_DIRS})
#
#set_property (DIRECTORY
#              APPEND PROPERTY LINK_DIRECTORIES ${SERVICE_INCLUDE_DIRS})


###
###  The library.
###  this doesn't get installed anywhere;
###  it's built apart from main() as a convenience for tests/
###

add_library (${SERVICE_LIB} STATIC
  controller.cc
  phone.cc
  service.cc
  location-service-controller.cc
)
include_directories (${CMAKE_SOURCE_DIR})
link_directories (${SERVICE_DEPS_LIBRARY_DIRS})


###
###  The service execuable.
###

add_executable (${SERVICE_EXEC} main.cc)
target_link_libraries (${SERVICE_EXEC} ${SERVICE_LIB} ${SERVICE_DEPS_LIBRARIES})
install (TARGETS ${SERVICE_EXEC}
         RUNTIME DESTINATION ${CMAKE_INSTALL_FULL_PKGLIBEXECDIR})

set_property (SOURCE main.cc
              APPEND PROPERTY COMPILE_DEFINITIONS
              GETTEXT_PACKAGE="${GETTEXT_PACKAGE}"
              GNOMELOCALEDIR="${CMAKE_INSTALL_FULL_LOCALEDIR}")

=== tests/CMakeLists.txt ===

###
###  General setup
###

include_directories (${CMAKE_SOURCE_DIR})
#include_directories (${CMAKE_CURRENT_BINARY_DIR})

set (CMAKE_C_FLAGS   "${CMAKE_C_FLAGS}   -g ${CC_WARNING_ARGS}")
set (CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -g ${CC_WARNING_ARGS}")

###
###  phone-test
###

set (TEST_NAME phone-test)
add_executable (${TEST_NAME} ${TEST_NAME}.cc)
add_test (${TEST_NAME} ${TEST_NAME})
add_dependencies (${TEST_NAME} ${SERVICE_LIB})
target_link_libraries (${TEST_NAME} ${SERVICE_LIB} GTest::gtest GTest::gtest_main ${SERVICE_DEPS_LIBRARIES})

###
###  globals
###

#set_property (TARGET ${ALL_TESTS}
#              APPEND PROPERTY LINK_LIBRARIES libindicator-location-service GTest::gtest GTest::gtest_main ${GCOV_LIBS})
#
#set_property (TARGET ${ALL_TESTS}
#              APPEND PROPERTY INCLUDE_DIRECTORIES ${CMAKE_SOURCE_DIR} ${SERVICE_INCLUDE_DIRS})

=== debian/changelog ===
lomiri-indicator-location (25.10.2-1) unstable; urgency=medium

  * New upstream release.
    - Support building with CMake 4. (Closes: #1113241).
  * debian/patches:
    + Drop 0001_Fix-desktop-profiles-and-add-greeter-support.patch. Applied
      upstream.
  * debian/control:
    + Bump Standards-Version: to 4.7.2. No changes needed.

 -- Mike Gabriel <sunweaver@debian.org>  Thu, 02 Oct 2025 10:36:04 +0200

=== debian/control ===
--- 
+++ 
@@ -16,7 +16,7 @@
                pkgconf,
 # for systemd unit
                systemd-dev [linux-any],
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Rules-Requires-Root: no
 Homepage: https://gitlab.com/ubports/development/core/lomiri-indicator-location
 Vcs-Git: https://salsa.debian.org/ubports-team/lomiri-indicator-location.git

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

export DPKG_GENSYMBOLS_CHECK_LEVEL=4

%:
	dh $@

override_dh_install:
	find debian/lomiri-indicator-location/usr/lib -name *.la -delete
	find debian/lomiri-indicator-location/usr/lib -name *.a -delete
	dh_install

override_dh_missing:
	dh_missing  --fail-missing

# Hack as it seems it's not possible to easy run that under dbus-test-runner
override_dh_auto_test:
	env -u LD_PRELOAD dh_auto_test

get-orig-source:
	uscan --noconf --force-download --rename --download-current-version --destdir=..

=== debian/watch ===
version=4
opts="searchmode=plain" \
https://gitlab.com/ubports/development/core/@PACKAGE@/tags?sort=updated_desc -/archive/v?\d[\d.]+/@PACKAGE@-@ANY_VERSION@@ARCHIVE_EXT@
